using StoryEngine.Core.Filters;
using System.Collections.ObjectModel;

namespace StoryEngine.Core.HistoryPoints
{
    public abstract class HistoryPointBase : CoreObjectBase
    {
        public string Id
        {
            get { return _id; }
            set
            {
                _id = value;
                OnPropertyChanged();
            }
        }
        public ObservableCollection<HistoryVariant> Variants { get; set; } = new ObservableCollection<HistoryVariant>();
        public ObservableCollection<FilterBase> Filters { get; set; } = new ObservableCollection<FilterBase>();
        public ObservableCollection<string> NextPossiblePoints { get; set; } = new ObservableCollection<string>();

        private string _id;
    }
}